Skip to content

Retrieve the entry criteria for a user action. Entry criteria are requirements the binder must meet before you can initiate the action. Entry criteria are dynamic and depend on the lifecycle configuration, lifecycle state, or any workflow activation requirements defined in the Start Step of the workflow. Learn more about entry criteria in Vault Help.

To retrieve entry criteria, the authenticated user must have permission to execute the action. To check permissions, Retrieve User Actions and check for actions where executable__v is true.

GET/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/lifecycle_actions/{name__v}/entry_requirements
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{binder_id}The binder id field value from which to retrieve available user actions.
{major_version}The major version number of the binder.
{minor_version}The minor version number of the binder.
{name__v}The lifecycle name__v field value from which to retrieve entry criteria. Retrieve this value from Retrieve User Actions.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/objects/binders/152/versions/0/1/lifecycle_actions/read__c/entry_requirements
{ "responseStatus": "SUCCESS", "responseMessage": "Success", "properties": [ { "name": "user_control_multiple__c", "description": "Read", "type": [ "ObjectReference" ], "objectTypeReferenced": { "name": "User", "label": "User" }, "required": true, "editable": true, "repeating": true, "scope": "WorkflowActivation" } ] }

The response may include the following metadata elements describing the properties for which values need to be specified:

NameDescription
nameThe entry criteria name (used in the API). This value must be specified when starting the user action.
descriptionThe entry criteria name (used in the UI).
typeThe entry criteria data type. This value can be one of String, Number, Date, Boolean, Picklist, or ObjectReference.
objectTypeReferencedWhen type is ObjectReference, this is the object being referenced. For example: User, Product, Country, etc.
requiredBoolean value indicating whether or not the entry criteria must be specified when initiating a user action.
editableBoolean value indicating whether or not the value can be edited by the user.
repeatingBoolean value indicating whether or not the entry criteria can have multiple values.
minValueIndicates the minimum character length for the value.
maxValueIndicates the maximum character length for the value.
valuesWhen type is Picklist, this provides a list of possible values that can be used.
currentSettingWhen a value has already been set, this shows the value.
scopeIndicates where the entry criteria property is defined. This value can be one of:
  • Binder: This field must be set on the binder before the action can be initiated.
  • WorkflowActivation: This field must be included in the body of the initiate request.
  • EmailFragment or CreatePresentation